OGRE: Ogre::RTShader::ShaderGenerator::SGScheme Class Reference - OGRE Documentation

Public Member Functions | Protected Member Functions | Protected Attributes

# Ogre::RTShader::ShaderGenerator::SGScheme Class Reference

Shader generator scheme class. More...

`#include <OgreShaderGenerator.h>`

Inheritance diagram for Ogre::RTShader::ShaderGenerator::SGScheme:
[legend]

List of all members.

## Public Member Functions
| SGScheme (const String &schemeName)
| ~SGScheme ()
bool | empty () const
| Return true if this scheme dose not contains any techniques.
void | invalidate ()
| Invalidate the whole scheme.
void | validate ()
| Validate the whole scheme.
void | invalidate (const String &materialName)
| Invalidate specific material.
bool | validate (const String &materialName)
| Validate specific material.
void | addTechniqueEntry (SGTechnique *techEntry)
| Add a technique to current techniques list.
void | removeTechniqueEntry (SGTechnique *techEntry)
| Remove a technique from the current techniques list.
RenderState * | getRenderState ()
| Get global render state of this scheme.
RenderState * | getRenderState (const String &materialName, unsigned short passIndex)
| Get specific pass render state.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Member Functions
void | synchronizeWithLightSettings ()
| Synchronize the current light settings of this scheme with the current settings of the scene.
void | synchronizeWithFogSettings ()
| Synchronize the fog settings of this scheme with the current settings of the scene.
## Protected Attributes
String | mName
SGTechniqueList | mTechniqueEntires
bool | mOutOfDate
RenderState * | mRenderState
FogMode | mFogMode

## Detailed Description

Shader generator scheme class.

Definition at line 508 of file OgreShaderGenerator.h.

## Constructor & Destructor Documentation

Ogre::RTShader::ShaderGenerator::SGScheme::SGScheme | ( | const String & | schemeName | ) |

Ogre::RTShader::ShaderGenerator::SGScheme::~SGScheme | ( |  | ) |

## Member Function Documentation

void Ogre::RTShader::ShaderGenerator::SGScheme::addTechniqueEntry | ( | SGTechnique * | techEntry | ) |

Add a technique to current techniques list.

bool Ogre::RTShader::ShaderGenerator::SGScheme::empty | ( |  | ) | const

Return true if this scheme dose not contains any techniques.

Definition at line 517 of file OgreShaderGenerator.h.

RenderState* Ogre::RTShader::ShaderGenerator::SGScheme::getRenderState | ( |  | ) |

Get global render state of this scheme.

See also:
  ShaderGenerator::getRenderState.

RenderState* Ogre::RTShader::ShaderGenerator::SGScheme::getRenderState | ( | const String & | materialName,
|  | unsigned short | passIndex |
| ) |  |  |

Get specific pass render state.

See also:
  ShaderGenerator::getRenderState.

void Ogre::RTShader::ShaderGenerator::SGScheme::invalidate | ( | const String & | materialName | ) |

Invalidate specific material.

See also:
  ShaderGenerator::invalidateMaterial.

void Ogre::RTShader::ShaderGenerator::SGScheme::invalidate | ( |  | ) |

Invalidate the whole scheme.

See also:
  ShaderGenerator::invalidateScheme.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

void Ogre::RTShader::ShaderGenerator::SGScheme::removeTechniqueEntry | ( | SGTechnique * | techEntry | ) |

Remove a technique from the current techniques list.

void Ogre::RTShader::ShaderGenerator::SGScheme::synchronizeWithFogSettings | ( |  | ) | `[protected]`

Synchronize the fog settings of this scheme with the current settings of the scene.

void Ogre::RTShader::ShaderGenerator::SGScheme::synchronizeWithLightSettings | ( |  | ) | `[protected]`

Synchronize the current light settings of this scheme with the current settings of the scene.

bool Ogre::RTShader::ShaderGenerator::SGScheme::validate | ( | const String & | materialName | ) |

Validate specific material.

See also:
  ShaderGenerator::validateMaterial.

void Ogre::RTShader::ShaderGenerator::SGScheme::validate | ( |  | ) |

Validate the whole scheme.

See also:
  ShaderGenerator::validateScheme.

## Member Data Documentation

FogMode Ogre::RTShader::ShaderGenerator::SGScheme::mFogMode`[protected]`

Definition at line 569 of file OgreShaderGenerator.h.

String Ogre::RTShader::ShaderGenerator::SGScheme::mName`[protected]`

Definition at line 565 of file OgreShaderGenerator.h.

bool Ogre::RTShader::ShaderGenerator::SGScheme::mOutOfDate`[protected]`

Definition at line 567 of file OgreShaderGenerator.h.

RenderState* Ogre::RTShader::ShaderGenerator::SGScheme::mRenderState`[protected]`

Definition at line 568 of file OgreShaderGenerator.h.

SGTechniqueList Ogre::RTShader::ShaderGenerator::SGScheme::mTechniqueEntires`[protected]`

Definition at line 566 of file OgreShaderGenerator.h.

The documentation for this class was generated from the following file:

- OgreShaderGenerator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:05